CWTextInternal::Zone Struct Reference
Inheritance diagram for CWTextInternal::Zone:

## Public Member Functions

| Zone (CWStruct::DSET const &dset=CWStruct::DSET())
Public Member Functions inherited from CWStruct::DSET
| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | okChildId (int zoneId) const
| test is a child id is valid More...

## Public Attributes

std::vector< MWAWEntry > | m_zones
int | m_numChar
| the number of char in text zone More...
int | m_numTextZone
| the number of text zone ( ie. More...
int | m_numParagInfo
| the number of paragraph info More...
int | m_numFont
| the number of font More...
int | m_fatherId
| the father id More...
int | m_unknown
| an unknown flags More...
std::vector< MWAWFont > | m_fontList
| the list of fonts More...
std::vector< ParagraphPLC > | m_paragraphList
| the list of paragraph More...
std::vector< Section > | m_sectionList
| the list of section More...
std::vector< Token > | m_tokenList
| the list of token More...
std::vector< TextZoneInfo > | m_textZoneList
| the list of zone More...
std::multimap< long, PLC > | m_plcMap
| the plc map More...
Public Attributes inherited from CWStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Type | m_type
| the document type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_id
| the identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
std::set< int > | m_validedChildList
| the list of verified child More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &doc)
| operator<< More...

## Additional Inherited Members

Public Types inherited from CWStruct::DSET
enum | Type { T_Main =0, T_Header, T_Footer, T_Frame, T_Footnote, T_Table, T_Slide, T_Unknown }
| the document type More...

## Constructor & Destructor Documentation

CWTextInternal::Zone::Zone | ( | CWStruct::DSET const & | dset = `CWStruct::DSET()` | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | doc
| ) |  |

friend

operator<<

## Member Data Documentation

int CWTextInternal::Zone::m_fatherId

the father id

std::vector<MWAWFont> CWTextInternal::Zone::m_fontList

the list of fonts

Referenced by CWText::readFonts(), and CWText::sendText().

int CWTextInternal::Zone::m_numChar

the number of char in text zone

int CWTextInternal::Zone::m_numFont

the number of font

int CWTextInternal::Zone::m_numParagInfo

the number of paragraph info

int CWTextInternal::Zone::m_numTextZone

the number of text zone ( ie.

number of page ? )

std::vector<ParagraphPLC> CWTextInternal::Zone::m_paragraphList

the list of paragraph

Referenced by CWText::findListId(), CWText::readParagraphs(), and CWText::sendText().

std::multimap<long, PLC> CWTextInternal::Zone::m_plcMap

the plc map

Referenced by CWText::findListId(), CWText::readFonts(), CWText::readParagraphs(), CWText::readTextSection(), CWText::readTextZoneSize(), CWText::readTokens(), and CWText::sendText().

std::vector<Section> CWTextInternal::Zone::m_sectionList

the list of section

Referenced by CWText::readTextSection(), and CWText::sendText().

std::vector<TextZoneInfo> CWTextInternal::Zone::m_textZoneList

the list of zone

Referenced by CWText::readTextZoneSize().

std::vector<Token> CWTextInternal::Zone::m_tokenList

the list of token

Referenced by CWText::readTokens(), and CWText::sendText().

int CWTextInternal::Zone::m_unknown

an unknown flags

std::vector<MWAWEntry> CWTextInternal::Zone::m_zones

Referenced by CWText::sendText().

The documentation for this struct was generated from the following file:

- CWText.cxx